com.aventstack.extentreports

## Interface ExtentReporter

- All Superinterfaces:
    AnalysisStrategyService, TestListener
  All Known Implementing Classes:
    AbstractReporter, BasicFileReporter, ConfigurableReporter, ConsoleLogger, ExtentAventReporter, ExtentBDDReporter, ExtentCardsReporter, ExtentEmailReporter, ExtentHtmlReporter, ExtentKlovReporter, ExtentLoggerReporter, ExtentTabularReporter

      public interface ExtentReporter
      extends TestListener, AnalysisStrategyService

  Primary interface implemented by each reporter. This interface implements `TestListener` and `ReportAggregatesListener` interface to provide additional functionality to each reporter.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `flush(ReportAggregates reportAggregates)` Write to or update the target source (file, database)
    `String` | `getReporterName()` Get the reporter name
    `void` | `start()` Starts passing run information to the reporter
    `void` | `stop()` Stops the reporter.

    - ### Methods inherited from interface com.aventstack.extentreports.TestListener

      `onAuthorAssigned, onCategoryAssigned, onDeviceAssigned, onLogAdded, onNodeStarted, onScreenCaptureAdded, onScreenCaptureAdded, onScreencastAdded, onTestRemoved, onTestStarted`

    - ### Methods inherited from interface com.aventstack.extentreports.AnalysisStrategyService

      `getAnalysisStrategy, setAnalysisStrategy`

- - ### Method Detail

    - #### start

          void start()

      Starts passing run information to the reporter

    - #### stop

          void stop()

      Stops the reporter. Ensures no information is passed to the reporter.

    - #### flush

          void flush(ReportAggregates reportAggregates)

      Write to or update the target source (file, database)
      Parameters:
        `reportAggregates` - a `ReportAggregates` object

    - #### getReporterName

          String getReporterName()

      Get the reporter name
      Returns:
        reporter name

Copyright © 2018. All rights reserved.